//
//  User.h
//  NickCenter
//
//  Created by Mobeleader on 12/01/14.
//  Copyright (c) 2014 Beleader Internet Marketing  S.L. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NCUserApps.h"

@interface NCUser : NSObject

@property (nonatomic, assign) NSString *userId;

@property (nonatomic, assign) BOOL userHasNoEmptyName;
@property (nonatomic, retain) NSString *userName;

@property (nonatomic, assign) BOOL userHasNoEmptyLastName;
@property (nonatomic, retain) NSString *userLastName;

@property (nonatomic, assign) BOOL userHasNoEmptyNick;
@property (nonatomic, retain) NSString *userNick;

@property (nonatomic, retain) NSString *userEmail;

@property (nonatomic, assign) BOOL userHasNoEmptyBirthDate;
@property (nonatomic, retain) NSDate *userBirthDate;

@property (nonatomic, assign) BOOL userHasNoEmptyTelephone;
@property (nonatomic, retain) NSString *userTelephone;

@property (nonatomic, assign) BOOL userHasNoEmptyLanguage;
@property (nonatomic, retain) NSString *userLanguage;

@property (nonatomic, assign) BOOL userHasNoEmptyCountry;
@property (nonatomic, retain) NSString *userCountry;

@property (nonatomic, retain) NSDate *userAddedDate;

@property (nonatomic, assign) BOOL userHasNoEmptyUpdateDate;
@property (nonatomic, retain) NSDate *userUpdateDate;

@property (nonatomic, assign) BOOL userHasNoEmptyAvatar;
@property (nonatomic, retain) NSData *userAvatar;

@property (nonatomic, retain) NSSet *userApps;

@property (nonatomic, retain) NSString *userAllowCommercials;
@property (nonatomic, retain) NSString *userAllowCession;

@end
